## xhotkeys-0.8.1.tar.gz

=== Makefile ===
# Makefile - makefile for xhotkeys
PACKAGE=xhotkeys

# Destination directoy
DESTDIR= 

# Define destination directories

BINDIR=$(DESTDIR)/usr/bin
SBINDIR=$(DESTDIR)/usr/sbin
MAN1DIR=$(DESTDIR)/usr/share/man/man1
SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
ICONSDIR=$(DESTDIR)/usr/share/icons/hicolor
PIXMAPSDIR=$(DESTDIR)/usr/share/pixmaps
LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
APPDIR=$(DESTDIR)/usr/share/applications
ETCDIR=$(DESTDIR)/etc

# Useful variables
DEBIANDIR=debian
DEBIANVERSION=$(shell cat $(DEBIANDIR)/changelog | head -n1 | awk '{print $$2}' | tr -d '()')
VERSION=$(shell echo $(DEBIANVERSION) | sed "s/-.*$$//")
TARBALL=$(PACKAGE)-$(VERSION).tar.gz
ARCH=$(shell cat $(DEBIANDIR)/control | grep ^Architecture | head -n1 | awk '{print $$2}')
DEBPACKAGE=$(PACKAGE)_$(DEBIANVERSION)_$(ARCH).deb

FTPSERVER=ftp://savannah.gnu.org/incoming/savannah/$(PACKAGE)/

# ------------- don't edit anything below this line --------------

FILES=xhotkeys.py xhotkeys.glade README TODO Makefile xhotkeys.conf \
	$(DEBIANDIR)/changelog xhotkeys.desktop xhotkeys.png 

ICONS=16x16 32x32 48x48 64x64 96x96 128x128
XPMICON=32x32

all: icons 

web: 
	$(MAKE) -C webpage/$(PACKAGE) || true
	
icons:
	# XPM Icon for pixmaps directory
	mkdir -p icons
	convert xhotkeys.png -resize \!$(XPMICON) icons/xhotkeys.xpm
	
	# PNG Hicolor Icons
	for ICON in $(ICONS); do \
		mkdir -p icons/$$ICON ;\
		convert xhotkeys.png -resize \!$$ICON icons/$$ICON/xhotkeys.png ;\
	done

install: all
	# Create directories
	mkdir -p $(SHAREDIR)
	
	# Install files
	install -m 755 xhotkeys.py $(BINDIR)/xhotkeys
	install -m 644 xhotkeys.glade $(SHAREDIR)
	install -m 644 xhotkeys.1 $(MAN1DIR)
	install -m 644 xhotkeys.desktop $(APPDIR) || true
	install -m 755 getdclick $(SHAREDIR)

	# Install example configuration file
	install -m 644 xhotkeys.conf $(SHAREDIR)/xhotkeys.conf.example
	
	# Install icons
	for ICON in $(ICONS); do \
		mkdir -p $(ICONSDIR)/$$ICON/apps ;\
		install -m 644 icons/$$ICON/xhotkeys.png $(ICONSDIR)/$$ICON/apps ;\
	done
	install -m 644 icons/xhotkeys.xpm $(PIXMAPSDIR) ;\

dist: distclean dist-tarball dist-deb

dist-tarball: ../$(TARBALL)

dist-deb:  ../$(DEBPACKAGE)

../$(TARBALL): clean $(FILES)
	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" > ChangeLog
	(cd ..; tar --exclude=CVS --exclude=webpage -czf $(TARBALL) $(PACKAGE))

../$(DEBPACKAGE): ../$(TARBALL)
	CURRENT=$$PWD && \
	TEMP=`mktemp -d` && \
	cp ../$(TARBALL) $$TEMP && \
	tar -C $$TEMP -xvzf ../$(TARBALL) && \
	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
	cp $$TEMP/$(DEBPACKAGE) $$CURRENT/.. && \
	rm -rf $$TEMP
	
upload: dist-upload  web-upload

dist-upload: dist
	rm -f ../$(DEBPACKAGE).sig ../$(TARBALL).sig
	gpg -b --use-agent ../$(TARBALL) || true
	gpg -b --use-agent ../$(DEBPACKAGE) || true
	(cd ..; wput $(TARBALL)* $(FTPSERVER))
	(cd ..; wput $(DEBPACKAGE)* $(FTPSERVER))

web-upload:
	$(MAKE) -C webpage/$(PACKAGE) upload
	
clean:
	rm -rf *.pyc icons *.gladep
	$(MAKE) -C webpage/$(PACKAGE) clean || true

distclean: clean
	fakeroot $(DEBIANDIR)/rules clean
	rm -f ChangeLog

=== debian/changelog ===
xhotkeys (0.8.1) unstable; urgency=low

  * Improved treeview behaviour

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 28 Jun 2006 20:26:39 +0200

xhotkeys (0.8) unstable; urgency=low

  * Saved window (pos & size), and columns (size) state for next session

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 26 Jun 2006 00:28:05 +0200

xhotkeys (0.7) unstable; urgency=low

  * Drag&drop desktop files to hotkey table (with locales support)

 -- Arnau Sanchez <arnau@ehas.org>  Fri, 23 Jun 2006 21:13:20 +0200

xhotkeys (0.6-2) unstable; urgency=low

  * Right-click on table with no-entry selected displays "add" popmenu 

 -- Arnau Sanchez <arnau@ehas.org>  Sat, 10 Jun 2006 08:57:39 +0200

xhotkeys (0.6-1) unstable; urgency=low

  * Man page correct 
  * GTK Configuration: reload configuration only when hotkey changed

 -- Arnau Sanchez <arnau@ehas.org>  Thu,  8 Jun 2006 01:28:02 +0200

xhotkeys (0.6) unstable; urgency=low

  * Status bar showing if daemon is running
  * Pops up a menu (edit/remove) on right-button

 -- Arnau Sanchez <arnau@ehas.org>  Wed,  7 Jun 2006 23:09:23 +0200

xhotkeys (0.5-3) unstable; urgency=low

  * From now mouse buttons are labeled Button1, not @Button1@ 

 -- Arnau Sanchez <arnau@ehas.org>  Wed,  7 Jun 2006 02:47:53 +0200

xhotkeys (0.5-2) unstable; urgency=low

  * Icon on GTK+ was lost, recovered
  * Corrected a bug when command has characters ":" or "="
  * Allowed all X buttons (normally from button1 to button5)

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  6 Jun 2006 22:25:45 +0200

xhotkeys (0.5-1) unstable; urgency=low

  * Correction on reload daemon

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  6 Jun 2006 13:41:15 +0200

xhotkeys (0.5) unstable; urgency=low

  * New feature: mouse buttons are accepted, use @ButtonX@ as key
  * Configurable pidfile
  * Some improvement in hotkey table visual aspect
  * Command execution use $SHELL environment variable 

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  6 Jun 2006 00:02:17 +0200

xhotkeys (0.4.1) unstable; urgency=low

  * Del accelerator
  * Some correction on glade file
  * Single keys are allowed as hotkeys

 -- Arnau Sanchez <arnau@ehas.org>  Sun,  4 Jun 2006 20:53:03 +0200

xhotkeys (0.4) unstable; urgency=low

  * os.spawn uses "sh -c command", so shell variables are allowed

 -- Arnau Sanchez <arnau@ehas.org>  Fri,  2 Jun 2006 23:30:30 +0200

xhotkeys (0.3-3) unstable; urgency=low

  * Works with hotkeys using the same keycode (Closes #16707, thanks Jeff)

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 31 May 2006 11:35:15 +0200

xhotkeys (0.3-2) unstable; urgency=low

  * Using os.spawn for command execution
  * It's not allowed to repeat names of hotkeys (which is confusing) 

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 31 May 2006 08:53:00 +0200

xhotkeys (0.3-1) unstable; urgency=low

  * Reduce dependency to python2.3

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 31 May 2006 00:55:56 +0200

xhotkeys (0.3) unstable; urgency=low

  * Don't display repeated modifiers, now <Shift><Shift> = <Shift>
  * Hotkey widget now gets focus on recording process
  * Added "test command" button on add window
  * Solved a bug when closing add window (just hide, not get destroyed)

 -- Arnau Sanchez <arnau@ehas.org>  Sun, 28 May 2006 23:53:35 +0200

xhotkeys (0.2-3) unstable; urgency=low

  * Added vertical/horizontal scroll at configuration table

 -- Arnau Sanchez <arnau@ehas.org>  Sun, 28 May 2006 21:10:58 +0200

xhotkeys (0.2-2) unstable; urgency=low

  * XPM on pixmaps and PNG on icons/hicolor
  * Menu file for debian

 -- Arnau Sanchez <arnau@ehas.org>  Sat, 27 May 2006 21:38:21 +0200

xhotkeys (0.2-1) unstable; urgency=low

  * Help on change hotkey
  * Press enter on modify window equal to press accept button

 -- Arnau Sanchez <arnau@ehas.org>  Fri, 26 May 2006 21:45:56 +0200

xhotkeys (0.1-4) unstable; urgency=low

  * Unknown keycodes are supported and written in configuration as @keycode@
  * Smart file-configuration modification.

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 24 May 2006 23:11:17 +0200

xhotkeys (0.1-3) unstable; urgency=low

  * Instead of "pressed" signals for buttons, use "clicked"
  * Always show key from "XK_" tables not from string
  * Added icon
  * Desktop launcher (xhotkeys.dekstop) in Accesories section

 -- Arnau Sanchez <arnau@ehas.org>  Tue, 23 May 2006 22:08:38 +0200

xhotkeys (0.1-2) unstable; urgency=low

  * Works with hotkeys containing <Return>
  * Run-command allows parameters
  * Added Manpage 

 -- Arnau Sanchez <arnau@ehas.org>  Sun, 21 May 2006 09:02:18 +0200

xhotkeys (0.1-1) unstable; urgency=low
 
  * First release
  * Python 2.4, PyGTK2 and PyXLib needed
  * Server mode
  * Configuration mode (--config)
  * 3 verbose levels: error, info, debug
  * Pidfile at user's home dir
  * Signal communication

 -- Arnau Sanchez <arnau@ehas.org>  Sat, 20 May 2006 22:17:21 +0200

=== debian/control ===
Source: xhotkeys
Section: x11
Priority: optional
Maintainer: Arnau Sanchez <arnau@ehas.org>
Build-Depends: debhelper (>= 4.0.0), imagemagick
Standards-Version: 3.6.1

Package: xhotkeys
Architecture: all
Depends: python (>= 2.3), python-gtk2, python-xlib
Description: Bind keys and mouse events to commands in the X-Window
 XhotKeys binds commands to hotkey and mouse event in the X-Window
 System (should work in any desktop interface). You can configure the 
 hotkeys manually or with a graphical GTK+ configurator.
